ARXUnloaded 事件 (ActiveX)
在卸载 ObjectARX 应用程序时触发。 支持的平台:仅限 Windows 签名VBA: object.ARXUnloaded(FullPathName)
言论显示模式对话框时不会触发任何事件。 例子VBA: Public WithEvents ACADApp As AcadApplication ' Use with Application Event Examples
Sub Example_AcadApplication_Events()
' This example intializes the public variable (ACADApp) which will be used
' to intercept AcadApplication Events
'
' The VBA WithEvents statement makes it possible to intercept an generic object
' with the events associated with that object.
'
' Before you will be able to trigger any of the AcadApplication events,
' you will first need to run this procedure.
' We could get the application from the ThisDocument object, but that would
' require having a drawing open, so we grab it from the system.
Set ACADApp = GetObject(, "AutoCAD.Application.24.3")
End Sub
Private Sub ACADApp_ARXUnloaded(ByVal AppName As String)
' This example intercepts an Application ARXUnloaded event.
'
' This event is triggered when the AutoCAD unloads an ARX application
'
' To trigger this example event:
' 1) Make sure to run the example that initializes
' the public variable (named ACADApp) linked to this event.
'
' 2) Unload an ARX application that is already loaded into AutoCAD
' Use the "AppName" variable to notify the user which ARX application was unloaded
MsgBox "AutoCAD just unloaded the ARX application: " & AppName
End Sub
可视化 LISP: Not available |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:47
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.